#ifndef __XMLFN_H__
#define __XMLFN_H__

#include <libxml/xmlmemory.h>
#include <libxml/xmlreader.h>

int   xmlfn_init(int fileid);
int   xmlfn_free();
int   xmlfn_reinit();

int   xmlfn_stepin();
int   xmlfn_stepout();

char  *xmlfn_nextnode(const char *name);

char *xmlfn_getprop(const char *name);
char *xmlfn_propscan();
char *xmlfn_propscan_getvalue();

char *xmlfn_getcontent();

#endif
