#define __INF_M(U) ( 1.0 / (1.0 + exp( - ((U) + 50.0)/20.0 )) )
#define __NON_TAU_M
#define __POW_M(x) ( (x) * (x) * (x) )
#define __INF_H(U) ( 1.0 / (1.0 + exp( ((U) + 80.0)/6.0 )) )
#define __CONST_TAU_H 15.0
#define __MOD_NAME "The fast A-type K channel"
#define __MOD_DESCRIPTION "This module contains the implementation of the fast A-type  potassium channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has activation and inactiovation gate variables.\nThe different equasion are solved by exponentioal Euler method and compabilite with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
