#define __INF_M(U) ( 1.0 / (1.0 + exp( - ((U) + 55.7)/7.7 )) )
#define __NON_TAU_M
#define __POW_M(x) ( (x) * (x) * (x) )
#define __MOD_NAME "The persistent Na channel"
#define __MOD_DESCRIPTION "This module contains the implementation of the persistent sodium channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has only activation gate variables.\nThe different equasion are solved by exponentioal Euler method and compabilite with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>