
#define __ALPHA_M(U) ((0.1*((U)+33.0))/(1-exp(-((U)+33.0)/10.0)))
#define __BETA_M(U)  (4 * exp(-( (U) + 53.7 )/12))
#define __NON_TAU_M
#define __ALPHA_H(U) (0.07 * exp(-((U)+50.0)/10.0))
#define __BETA_H(U)  ( 1.0 / (1 + exp(-((U) + 20.0)/10.0)) )
#define __TEMPERATURE_H
#define __POW_M(x) ( (x) * (x) * (x) )
#define __MOD_NAME "Na Activate/Inactivate channel"
#define __MOD_DESCRIPTION "This module contains the implementation of fast sodium ion channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has activation and inactiovation gate variables.\nThe different equasion are solved by exponentioal Euler method and compatible with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
