
#define __ALPHA_M(vm) (0.055*(-27 - vm)/(exp((-27-vm)/3.8) - 1))
#define __BETA_M(vm)  (0.94*exp((-75-vm)/17))
#define __POW_M(x) ( (x) * (x) )

#define __ALPHA_H(vm) (0.000457*exp((-13-vm)/50))
#define __BETA_H(vm)  (0.0065/(exp((-vm-15)/28) + 1))

#define __TEMPERATURE_M
#define __TEMPERATURE_H

#define __MOD_NAME "Ca2+ High Threshold channel"
#define __MOD_DESCRIPTION "This module contains the implementation of fast calcium ion channel.\nThe channel description was taken from paper\nMainen Z.K. Sejnowski T.J. Nature v.382 96(model I)with correction from http://senselab.med.yale.edu/senselab/ModelDB/ShowModel.asp?model=2488\nThe channel has activation and inactiovation gate variables.\n"
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
