
#define FTRK(U,TH, A, Q) ((fabs(((U)-(TH))/(Q)) > 1e-6) ? (A) * ((U) - (TH)) / (1 - exp(-((U) - (TH))/(Q))) : (A) * (Q))

#define __ALPHA_M(U) (0.001*((U) + 30.)/(1.0 - exp( - ((U ) +30) / 9.) ) )
#define __BETA_M(U)  (-0.001*((U) + 30.)/(1.0 - exp( ((U ) +30) / 9.) ) )
#define __TEMPERATURE_M

#define __MOD_NAME "KM channel"
#define __MOD_DESCRIPTION "This module contains the implementation of potassium ion channel.\nThe channel description was taken from paper\nMainen Z.K. Sejnowski T.J. Nature v.382 96(model I)with correction from http://senselab.med.yale.edu/senselab/ModelDB/ShowModel.asp?model=2488\nThe channel has only activation gate variables.\n"
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
