
#define FTRK(U,TH, A, Q) ((fabs(((U)-(TH)/(Q))) > 1e-6) ? (A) * ((U) - (TH)) / (1 - exp(-((U) - (TH))/(Q))) : (A) * (Q))

#define __INF_M(U) (1./(1. + exp(-((U)+55.)/7.4)))
#define __TAU_M(U) (3. + 1./(exp(((U)+60.)/20.)+exp(-((U)+135.)/15.)))
#define __POW_M(x) ( (x) * (x) )

#define __INF_H(U) (1./(1.+exp(((U)+75.)/5)))
#define __TAU_H(U) (30. + 1./(exp(((U)+66.)/4.) + exp(-((U)+425.)/50.)))

#define __MOD_NAME "Ca2+ Low Threshold channel"
#define __MOD_DESCRIPTION "This module contains the implementation of fast calcium ion channel.\nThe channel description was taken from paper\nSchaefer A.T. etal J. Neurophysiol v.89 2003 with correction from ????\nThe channel has activation and inactiovation gate variables.\n"
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
