#ifndef NCMB_COMMON_H
#define NCMB_COMMON_H

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif


#ifndef PREFIX
#define PREFIX "/usr/local"
#endif

#ifndef LIBDIR
#define LIBDIR PREFIX"/lib"
#endif


#ifndef USER_NCDIR
#define USER_NCDIR ".neurocad"
#endif
	
#ifndef HOST_NCDIR
#define HOST_NCDIR PREFIX"/neurocad"
#endif

#ifndef USER_MODULES_DIR
#define USER_MODULES_DIR USER_NCDIR"/modules"
#endif

#ifndef HOST_MODULES_DIR
#define HOST_MODULES_DIR HOST_NCDIR"/modules"
#endif

#include "../sqlite3/sqlite3.h"
extern sqlite3 *ncmb_user_db  = NULL;
#ifndef MYSQL
extern sqlite3 *ncmb_host_db  = NULL;
#endif
