#define __INF_M(U) ( 1.0 / (1.0 + exp( - ((U) + 20.0)/9.0 )) )
#define __NON_TAU_M
#define __POW_M(x) ( (x) * (x) )
#define __MOD_NAME "The high-treshold Ca channel"
#define __MOD_DESCRIPTION "This module contains the implementation of the high-treshold calcium channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has activation variable.\nThe different equasion are solved by exponentioal Euler method and compabilite with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>