#define __INF_H(U) ( 1.0 / (1.0 + exp( ((U) + 75.0)/4.0 )) )
#define __NON_TAU_H
#define __MOD_NAME "The inwardly rectifying K channel"
#define __MOD_DESCRIPTION "This module contains the implementation of the inwardly rectifying potassium channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has inctivation gate variables.\nThe different equasion are solved by exponentioal Euler method and compabilite with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>