#define __INF_H(U) ( 1.0 / (1.0 + exp( - ((U) + 34.0)/6.5 )) )
#define __TAU_H(U) ( 8.0 / ( exp( -( (U) + 55.0 ) / 30.0 ) + exp( ( (U) + 55.0 ) / 30.0 ) ) )
#define __MOD_NAME "The non-activating K channel"
#define __MOD_DESCRIPTION "This module contains the implementation of non-activating potassium channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has inactiovation gate variables.\nThe different equasion are solved by exponentioal Euler method and compabilite with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
