
#define __ALPHA_M(U) ((0.01*((U)+34.0))/(1.0-exp(-((U)+34.0)/10.0)))
#define __BETA_M(U)  (0.125 * exp(-( (U) + 44.0 )/25.0))
#define __TEMPERATURE_M
#define __POW_M(x) ( (x) * (x) * (x) * (x) )
#define __NON_TAU_H
#define __MOD_NAME "Delayed rectifier K channel"
#define __MOD_DESCRIPTION "This module contains the implementation of delayed rectifier potassium channel.\nThe channel description was taken from paper\nA. Compte et al. J.Neurophysiol 89: 2707-2725, 2003.\nThe channel has activation gate variables.\nThe different equasion are solved by exponentioal Euler method and compatible with compartment/single sell module."
#include <neurocad/tpl/ion_channel_eulexp.c.tpl>
